Create cost component
POST /events/{id}/cost-components
POST
/events/{id}/cost-components
Creates a new cost component for an event. The name will be automatically slugized to a valid SKU format. Names can only contain letters, numbers, underscores, and dots. The original name is preserved in the details field.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The event ID
Request Body required
Section titled “Request Body required ”object
costComponent
required
object
name
required
Component name (will be slugized)
string
base
required
string
bucket
required
string
currency
required
string
recipient
required
string
payer
required
string
ops
Array<object>
object
op
string
value
number
enabled
boolean
Responses
Section titled “ Responses ”Successfully created cost component
object
data
object
id
string
name
string
base
string
bucket
string
currency
string
recipient
string
payer
string
ops
Array<object>
object
op
string
value
number
enabled
boolean
Invalid cost component data
Unauthorized
Forbidden - cannot create platform/system components